﻿#language: ru

Функционал: Расчет СС

Сценарий: Расчет СС
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Расчет сырьевой себестоимости'
	Тогда открылось окно 'Расчет сырьевой себестоимости'
	И я нажимаю на кнопку 'Рассчитать'
	Затем я жду, что в сообщениях пользователю будет подстрока "документов расчета успешно сформировано" в течение 20 секунд
	И Я закрываю окно 'Расчет сырьевой себестоимости'
	И В командном интерфейсе я выбираю 'Производство' 'Расчеты сырьевой себестоимости'
	Тогда открылось окно 'Расчеты сырьевой себестоимости'
	И я жду, что в таблице "Список" количество строк будет "равно" 4 в течение 10 секунд
	Когда открылось окно 'Расчеты сырьевой себестоимости'
	И в таблице "Список" я перехожу к строке:
		| 'Дата смены' | 'Рабочий центр' | 'Смена'   | 'Способ создания'                              |
		| '12.03.2019' | 'Сырцех'        | 'Смена24' | 'Автоматический расчет сырьевой себестоимости' |
	И в таблице "Список" я перехожу к строке:
		| 'Дата смены' | 'Рабочий центр' | 'Смена'   | 'Способ создания'                              |
		| '12.03.2019' | 'ПАЦ'           | 'Смена24' | 'Автоматический расчет сырьевой себестоимости' |
	И в таблице "Список" я перехожу к строке:
		| 'Дата смены' | 'Рабочий центр' | 'Смена'   | 'Способ создания'                              |
		| '15.03.2019' | 'Сырцех'        | 'Смена24' | 'Автоматический расчет сырьевой себестоимости' |
	И в таблице "Список" я перехожу к строке:
		| 'Рабочий центр' | 'Смена'   | 'Способ создания'                              |
		| 'Маркировка'    | 'Смена24' | 'Автоматический расчет сырьевой себестоимости' |
	И Я закрываю окно 'Расчеты сырьевой себестоимости'